disp('FABCAT Result Analyzer Release 1.4');

try
    
   load results
   
catch
    
   disp('File fabresults.mat not found. Run fabreader.m first.');
   
end

disp(['Shots out of interval ', num2str(shotnumber(1)), ...
        ' to ', num2str(shotnumber(length(shotnumber)))]);
disp(['There are ', num2str(sum(exist)), ' shots available']);

plus = 0;

for i = 1 : length(xpoint)
  if ~isnan(xpoint(i))
    if xpoint(i) == 1
      plus = plus + 1;
    end
  end
end

disp(['There are ', num2str(plus), ' shots with xpoint available']);

conv = 0;

for i = 1 : length(status)
  if ~isnan(status(i))
    if status(i) == 1
      conv = conv + 1;
    end
  end
end

disp(['There are ', num2str(conv), ' shots with good reconstruction available']);

