function fig = bolmovgui()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load bolmovgui

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'Name','bolometric tomography', ...
	'PaperOrientation','landscape', ...
	'PaperType','a4letter', ...
	'Position',[475 206 380 489], ...
	'Tag','Fig1');
h1 = axes('Parent',h0, ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat1, ...
	'DataAspectRatioMode','manual', ...
	'FontName','times', ...
	'FontSize',12, ...
	'PlotBoxAspectRatio',mat2, ...
	'PlotBoxAspectRatioMode','manual', ...
	'Position',[0.5526315789473684 0.3169734151329244 0.5026315789473684 0.5991820040899796], ...
	'Tag','movieaxes', ...
	'WarpToFill','off', ...
	'WarpToFillMode','manual', ...
	'XColor',[0 0 0], ...
	'XLim',[0.6 1.15], ...
	'XLimMode','manual', ...
	'YColor',[0 0 0], ...
	'YLim',[-0.8 0.8], ...
	'YLimMode','manual', ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'FontName','times', ...
	'FontSize',12, ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat3, ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'FontName','times', ...
	'FontSize',12, ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat4, ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'FontName','times', ...
	'FontSize',12, ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',mat5, ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'FontName','times', ...
	'FontSize',12, ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat6, ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[89.28 365.76 45.12 14.4], ...
	'String','frame #', ...
	'Style','text', ...
	'Tag','StaticText10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','bolmov chan>', ...
	'FontSize',14, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[138.24 376.32 19.2 19.2], ...
	'String','>', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','bolmov chan<', ...
	'FontSize',14, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[66.23999999999999 376.32 19.2 19.2], ...
	'String','<', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','bolmov framenum', ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[90.23999999999999 380.16 45.12 17.28], ...
	'Style','edit', ...
	'Tag','framenum');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.6 0.8 1], ...
	'Callback','bolmov play', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[69.12 166.08 92.16 27.84], ...
	'String','PLAY MOVIE', ...
	'Tag','play');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[106.56 142.08 24 18.24], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','repeat');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[125.76 143.04 45.12 14.4], ...
	'String','times', ...
	'Style','text', ...
	'Tag','StaticText10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[76.8 124.8 24 18.24], ...
	'String','12', ...
	'Style','edit', ...
	'Tag','speed');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[97.92 125.76 72 14.4], ...
	'String','frames/sec', ...
	'Style','text', ...
	'Tag','StaticText10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[63.36 143.04 45.12 14.4], ...
	'String','play it', ...
	'Style','text', ...
	'Tag','StaticText10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','bolmov shotnum', ...
	'FontSize',15, ...
	'FontWeight','demi', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[120 408 60.48 22.08], ...
	'String',' ', ...
	'Style','edit', ...
	'Tag','shotnum');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',15, ...
	'FontWeight','demi', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[48 411.84 66.23999999999999 17.28], ...
	'String','shot #', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[14.4 94.08 87.36 17.28], ...
	'String','Comment:', ...
	'Style','text', ...
	'Tag','shotno');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[15.36 76.8 333.12 17.28], ...
	'Style','text', ...
	'Tag','comment');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[120.96 311.04 59.52 17.28], ...
	'Style','text', ...
	'Tag','lambda');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[108.48 275.52 59.52 17.28], ...
	'Style','text', ...
	'Tag','Ptot');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[108.48 216 59.52 19.2], ...
	'Style','text', ...
	'Tag','Pbot');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[108.48 241.92 59.52 19.2], ...
	'Style','text', ...
	'Tag','Pup');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[60.48 312 60.48 14.4], ...
	'String','lambda', ...
	'Style','text', ...
	'Tag','StaticText10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[40.32 272.64 66.23999999999999 14.4], ...
	'String','P tot  [kW]', ...
	'Style','text', ...
	'Tag','StaticText10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[43.2 216.96 62.4 15.36], ...
	'String','P bot [kW]', ...
	'Style','text', ...
	'Tag','StaticText10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[45.12 243.84 60.48 14.4], ...
	'String','P up [kW]', ...
	'Style','text', ...
	'Tag','P up...');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[51.84 337.92 68.16 14.4], ...
	'String','chi squared', ...
	'Style','text', ...
	'Tag','StaticText10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[120.96 337.92 59.52 17.28], ...
	'Style','text', ...
	'Tag','chisq');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[15.36 27.96 332.16 17.28], ...
	'Style','text', ...
 'HorizontalAlignment','left',...
	'Tag','delchans');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[15.36 12.96 332.16 17.28], ...
	'Style','text', ...
 'HorizontalAlignment','left',...
		'Tag','delchans2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[14.4 45 87.36 17.28], ...
	'String','Deleted channels:', ...
	'Style','text', ...
	'Tag','shotno');
if nargout > 0, fig = h0; end
